Subject: linux-next: build failure

From: Sujith <[email-masked]>
Date: Tue, 11 Nov 2008 13:45:52 +0530

Stephen Rothwell wrote:
> Hi John, Dave,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/net/wireless/ath9k/main.c: At top level:
> drivers/net/wireless/ath9k/main.c:827: warning: conflicting types for 'ath_detach'
> drivers/net/wireless/ath9k/main.c:827: error: static declaration of 'ath_detach' follows non-static declaration
> drivers/net/wireless/ath9k/main.c:812: error: previous implicit declaration of 'ath_detach' was here
> 
> Caused by commit 9c84b7978f1b99048bf31be5a0218cd509e74148 ("ath9k:
> Streamline attach/detach") (from the wireless/net tree) which added a
> call to the static function before it was defined.
> 
> I added the patch below, which then lead to:
> 
> drivers/net/wireless/ath9k/main.c: In function 'ath_start_rfkill_poll':
> drivers/net/wireless/ath9k/main.c:818: error: 'hw' undeclared (first use in this function)
> 
> So I gave up and reverted the wireless tree for today (I actually
> reverted the merge of the wireless tree into the net tree).

A patch was already posted to fix this:
http://marc.info/?l=linux-wireless&m=122580350232179&w=2

Sujith